Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.util
Class StopWatch.TaskInfo

    java.lang.Object
      org.springframework.util.StopWatch.TaskInfo

Enclosing class:
  StopWatch

    public static final class StopWatch.TaskInfo

extends Object

Inner class to hold data about one task executed within the stop watch.

Method Summary
`String` | `getTaskName()` Return the name of this task.
`long` | `getTimeMillis()` Return the time in milliseconds this task took.
`double` | `getTimeSeconds()` Return the time in seconds this task took.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getTaskName

    public String getTaskName()

  Return the name of this task.

### getTimeMillis

    public long getTimeMillis()

  Return the time in milliseconds this task took.

### getTimeSeconds

    public double getTimeSeconds()

  Return the time in seconds this task took.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD